# Poco::Zip

# class ZipUtil

Library: Zip
Package: Zip
Header: Poco/Zip/ZipUtil.h

## Description

A utility class used for parsing header information inside of zip files

## Member Summary

Member Functions: fakeZLibInitString, get16BitValue, get32BitValue, parseDateTime, set16BitValue, set32BitValue, setDateTime, sync, validZipEntryFileName, verifyZipEntryFileName

## Constructors

## Destructor

### ~ZipUtil

~ZipUtil();

## Member Functions

### fakeZLibInitString

static std::string fakeZLibInitString(
ZipCommon::CompressionLevel cl
);

### get16BitValue

static Poco::UInt16 get16BitValue(
const char * pVal,
const Poco::UInt32 pos
);

### get32BitValue

static Poco::UInt32 get32BitValue(
const char * pVal,
const Poco::UInt32 pos
);

### parseDateTime

static Poco::DateTime parseDateTime(
const char * pVal,
const Poco::UInt32 timePos,
const Poco::UInt32 datePos
);

### set16BitValue

static void set16BitValue(
const Poco::UInt16 val,
char * pVal,
const Poco::UInt32 pos
);

### set32BitValue

static void set32BitValue(
const Poco::UInt32 val,
char * pVal,
const Poco::UInt32 pos
);

### setDateTime

static void setDateTime(
const Poco::DateTime & dt,
char * pVal,
const Poco::UInt32 timePos,
const Poco::UInt32 datePos
);

### sync

static void sync(
std::istream & in
);

Searches the next valid header in the input stream, stops right before it

### validZipEntryFileName

static std::string validZipEntryFileName(
const Poco::Path & entry
);

### verifyZipEntryFileName

static void verifyZipEntryFileName(
const std::string & zipPath
);

Verifies that the name of the ZipEntry is a valid path